// Extenders.cpp : implementation file
//

#include "stdafx.h"
#include "dropdown.h"
#include "Extenders.h"


// CExtenders

IMPLEMENT_DYNAMIC(CExtenders, CWnd)
CExtenders::CExtenders()
{
 direction = Left;
}

CExtenders::~CExtenders()
{
}


BEGIN_MESSAGE_MAP(CExtenders, CWnd)
    ON_WM_PAINT()
END_MESSAGE_MAP()



// CExtenders message handlers


void CExtenders::OnPaint()
    {
     CPaintDC dc(this); // device context for painting

     CRect r;
     GetClientRect(&r);
     int gap = ::GetSystemMetrics(SM_CXVSCROLL);
     CRect base = r;
     CRect tag = r;
     switch(direction)
        { /* direction */
         case Left:
            // |##|********************|
            // tag base
            base.left += gap;
            tag.right = tag.left + gap;
            break;
         case Right:
            // |********************|##|
            //  base                 tag
            base.right -= gap;
            tag.left = tag.right - gap;
            break;
         case Top:
            //  _
            //  #
            //  #  tag
            //  _
            //  *  base
            //  *
            //  *
            //  *
            //  *
            //  _
            tag.bottom = tag.top + gap;
            base.top = base.top - gap;
            break;
         case Bottom:
            //  _
            //  *  base
            //  *
            //  *
            //  *
            //  *
            //  _
            //  #
            //  #  tag
            //  _
            base.bottom -= gap;
            tag.top = tag.bottom - gap;
            break;
        } /* direction */

     dc.FillSolidRect(&base, RGB(0, 255, 0));
     dc.FillSolidRect(&tag,  RGB(255, 0, 0));
     // Do not call CWnd::OnPaint() for painting messages
    }
